SmartThings Community

Raspberry Pi Device Type & BerryIO

I am really confused here. I cannot seem to get past the
Enabling the BerryIO site configuration…
ERROR: Site default does not exist!
Install failed!

Can anyone help me get past this error? I have tried so many things, including changing the berry to have .conf

I am using a pi3

Yup… Been there done that… Read this thread starting from my post on this same problem

1 Like

I read all of your post but I didn’t gather enough detail to know exactly what you did to fix it. You mention installing from a different source but i don’t see where that is. Also tried all the things I could from the thread like renaming berryio to berry.conf but all for it to still fail at the same place every time

Its been a while and my old man memory often fails me however… I do recall editing the install script. I removed the line pertaining to “Default” site.

Look in the berryio install.sh and find the lines

echo -e "\nEnabling the BerryIO site configuration...."
a2ensite berryio || { echo -e "Install failed!" 1>&2; exit 1; }

Below the last line above and just before

echo -e "\nRestarting Apache...."
service apache2 restart || { echo -e "Install failed!" 1>&2; exit 1; }

There is a line that will attempt to install default. I removed it and then re-ran the script. Voila…
Worked for me :slight_smile:

When the script referenced within this thread failed (install failed error) I googled Berryio install. Found a script and ran it. The only thing that accomplished was that Berryio now worked. The ST device type did not. That is when I started to trace where the error was occurring and modified the (berryio install.sh) script accordingly. I got it working because I am a friggen genius. Ok… friggen lucky then :wink:

Has anyone done any further work on the GPIO integration with this. The comments imply that it will support turning the GPIO but it looks like that work may not be finished. I am going to take a crack at it but wanted to check if anyone else had already made progress on this?

Have you made any progress on this? I am stuck where my parse() method is not being called…

Any idea how to change temperature to Celcius instead of F?

After many re-installs, the app only shows blank buttons and only restarts the rbp,

can anyone help?

Same problem here.
I tried to modify the code to show temperature in Celsius and add the RPi device again.
Nothing show up in the app or device states in IDE.

Unable to save settings after setting up the device. I fill in all the fields that are there but it says that “all fields are required” and doesn’t allow me to save my changes. Completely useless device for ST.

I don’t see any posts that are very recent and wondering if this still works. The installation instructions reference v1 hubs so I’m curious if this is still working/supported.

I just tried to install it on my first Pi, a brand-new 3+

I got this error:

BerryIO Installer

Updating repositories…
Hit:1 http://archive.raspberrypi.org/debian stretch InRelease
Hit:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Reading package lists… Done

Installing the prerequisites…
Reading package lists… Done
Building dependency tree
Reading state information… Done
Package php5 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package libapache2-mod-php5 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package ‘php5’ has no installation candidate
E: Package ‘libapache2-mod-php5’ has no installation candidate
Install failed!

I did some searching and PHP5 that module is not available for Stretch. There are some workarounds, but my advice would be to go back to Jessie and use that as you might solve this problem only to uncover another.

Who, or what, is Jessie? I’m brand new to Pi.

Jessie is the version of Raspbian before Stretch. You can still find it on the Raspberry Pi Foundations’s website. however, what are you looking to do with your Pi? Because I am using WebIOPi to control two GPIO pins as switches. It doesn’t work well for sensors but switches respond instantly.

I just wanted to be able to see/control it with ST. Nothing specific, just wanted to be able to link it. Is the WebIOPi option still available?

Take a look at OmniThing as another option for integrating a Raspberry Pi with SmartThings or Hubitat.

I’ve got Omnithings installed. I just don’t know if there’s an actual connection or not. Refresh and Configure don’t seem to do anything.

For what purpose though? just to see the status of your pi? there are a lot better ways to do that than through ST. If you are trying to control the GPIO pins then omnithing or webiopi are your best routes. If you’re trying to send commands to your pi, you can do that with omni thing. But you have to be more specific about what you’re trying to accomplish to get the best help.